{
================
Extended ToolBar
================
Version 1.0

This unit create a toolbar component.
It is like Netscape 4 toolbar, but is diferent.
Remark: Align Must be only Top or Bottom!!!!

Copyright 11.1997 By MAD Soft

Telephone: Bulgaria, Sofia, 37-06-23
E_Mail:    NMMM@NSI.BG
           NMMM@HotMail.Com
Web:       Http:\\WWW.NSI.BG\NMMM\Home.Htm

}

unit EToolBar;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TEToolBar = class(TPanel)
  private
    { Private declarations }

    Button,
    PanelW  : TPanel;

    FState  : Boolean;
    FHeight : Integer;

    Procedure ShowHide1(Sender:TObject);
  protected
    { Protected declarations }
  public
    { Public declarations }
    Constructor Create(AOwner:TComponent); override;

    Procedure ShowHide(AState:Boolean);
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('MAD Soft', [TEToolBar]);
end;

Constructor TEToolBar.Create(AOwner:TComponent);
   Begin
      Inherited Create(AOwner);

      FState:=True;

      Align:=AlTop;
      Caption:=' ';

      Button:=TPanel.Create(Self);
      Button.Parent:=Self;
      Button.ParentColor:=True;
      Button.Cursor:=crUpArrow;
      Button.Width:=8;
      Button.Align:=AlLeft;
      Button.OnClick:=ShowHide1;

      PanelW:=TPanel.Create(Self);
      PanelW.Parent:=Self;
      PanelW.ParentColor:=True;
      PanelW.BevelOuter:=BvNone;
      PanelW.Caption:=' ';
      PanelW.Enabled:=False;
      PanelW.Width:=15;
      PanelW.Align:=AlLeft;

   End;

Procedure TEToolBar.ShowHide1(Sender:TObject);
   Begin
      ShowHide(Not FState);

      FState:=Not FState;
   End;

Procedure TEToolBar.ShowHide(AState:Boolean);
   Var I : Word;
   Begin
      If AState = FState Then
         Exit;
         
      If ControlCount > 0 Then
         For I:=0 To ControlCount - 1 Do
            If Controls[I] <> Button Then
               Controls[I].Visible:=AState;

      If AState Then
         Begin
            Height:=FHeight;
            Button.Width:=8;
         End
      Else
         Begin
            FHeight:=Height;
            Height:=10;
            Button.Width:=FHeight;
         End;
   End;

end.
